Bug 165988 - Review Request: cppunit. C++ Port of JUnit Testing Framework
Review Request: cppunit. C++ Port of JUnit Testing Framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://cppunit.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-15 10:51 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 02:45:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec file changes for FE (2.06 KB, patch)
2005-08-15 11:16 EDT, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description Patrice Dumas 2005-08-15 10:51:10 EDT
SRPM Name or Url:   http://www.environnement.ens.fr/docs/fc-srpms/cppunit-1.11.0-1.src.rpm
Description: 

CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised tests.
Comment 1 Tom "spot" Callaway 2005-08-15 11:16:44 EDT
Created attachment 117754 [details]
spec file changes for FE

This one needs a little more love. I actually had cppunit in my never-ending
queue of new packages, so I was able to add some fixes to your spec file.
Comment 2 Tom "spot" Callaway 2005-08-15 11:17:56 EDT
If you make those changes, I'll approve this one.
Comment 3 Patrice Dumas 2005-08-15 13:39:56 EDT
I am not persuaded that it is necessary to split in a devel package but if you
want too...

Regarding the summary it is clearer but may not be precise enough as if I'm not
wrong there are other C++ unit testing frameworks.

I didn't had graphviz and cppunit built fine, why is it needed?

Anyway I'll republish the srpm with your change if you confirm that graphviz is
needed.
Comment 4 Tom "spot" Callaway 2005-08-15 13:50:59 EDT
The summary is supposed to be minimal. The description is where the real meat
comes in. :)

Yes, I want to split to a -devel package. No need to take up space if its not
needed.

Graphviz is used to generate the graphs in the documentation. Without it, the
docs still build, but they don't have graphs.
Comment 5 Patrice Dumas 2005-08-15 14:10:13 EDT
Here is the srpm:

http://www.environnement.ens.fr/docs/fc-srpms/cppunit-1.11.0-2.src.rpm
Comment 6 Tom "spot" Callaway 2005-09-08 18:49:57 EDT
- rpmlint checks return:

W: cppunit-devel no-documentation
Safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED. (sorry it took so long)
Comment 7 Patrice Dumas 2005-09-12 03:44:20 EDT
I packaged cppunit because opendap uses it a lot, but I don't know what it is.
Do you want to take ownership? Otherwise i can update when new versions are out...
Comment 8 Patrice Dumas 2005-09-12 06:23:37 EDT
In the build log there are errors that don't appear in my local builds. I
believe this corresponds with a missing dependency.

Error: fontconfig: Couldn't retrieve font family name. : Helvetica

I have skimmed through the docs and found that it is likely that the missing
font is a font used for the graphs (in the packaged version the text in boxes
seems to be monospaced and overflow from the boxes). Maybe it is a missing
dependency for graphviz? Or for cppunit, but I haven't more clue. 
Comment 9 Patrice Dumas 2005-09-28 02:45:00 EDT
I have reported thee issue on the fedora extras list. Closing.

Note You need to log in before you can comment on or make changes to this bug.